from plone.schema.email import IEmail
from zope.schema.interfaces import IChoice
from zope.schema.interfaces import IList
from zope.schema.interfaces import ITextLine


class IPIEmail(IEmail):
    """Interface for Email field."""


class ITelephone(ITextLine):
    """Interface for Telephone field."""


class IGooglePlace(IChoice):
    """Interface for GooglePlace field.

    This takes a choice from a list of city or place names as input,
    then renders a link to Google Maps for that city or place name.
    """


class IMultipleFileInput(IList):
    """Interface for a multiple file input field.
    This field allows users to upload multiple files at once.
    """
